
import torch
import numpy as np

def random_matrix_generator(rows, cols, dtype=torch.float32):
    """
    Generate a random matrix with given rows and columns using PyTorch and NumPy.
    """
    return torch.from_numpy(np.random.rand(rows, cols)).type(dtype)



